.custom-row-blocks-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.custom-row-blocks-wrapper.layout-rows .custom-row-block {
    flex: 1 1 100%;
    /* Each block is 100% wide */
}

.custom-row-block {
    flex: 1 1 calc(25% - 20px);
    /* Up to 4 blocks per row */
    padding: 20px;
    border-radius: 8px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    position: relative;
    border: 1px var(--border-color) solid;
    border-radius: 24px;
}

.custom-row-block-link {
    text-decoration: none;
    color: inherit;
    display: block;
    width: 100%;
    height: 100%;
}

.custom-row-block.has-link:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.custom-row-block-icon {
    position: relative;
    width: 64px;
    height: 64px;
    border-radius: 8px;
    overflow: hidden;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-row-block-content {
    margin-top: 12px;
    /* Adjust this value if needed */
}

.custom-row-block-content h3 {
    margin: 0;
}

.custom-row-block-content p {
    font-size: 1em;
    color: #666;
    margin-top: 5px;
}

/******************** RESPONSIVE ********************/

@media (max-width: 768px) {
    .custom-row-block {
        flex: 1 1 100%;
        /* Each block is 100% wide */
    }
}
